2018-12-18 23:50 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000066Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:07
ReporterQuix0r 
Assigned ToQuix0r 
PriorityhighSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000066: Code von der Pro-Version entfernen
DescriptionDie Pro-Version war vor vielen Jahren eine rein kaeufliche Version uund wurde wegen eines (vermuteten) Postings auf dem Wiki des IFROSS (Sucht mal danach!, Tipp: GPL fuer Laien) mit sofortiger Wirkung eingestellt.

Von dieser Pro-Version sind noch einige Reste im Quellcode vorhanden. Diese sollen nun komplett entfernt werden.

Z.B. existiert folgender Code:

if (function_exists('CREATE_FANCY_TIMESTAMP')) {
  // Die "Pro-Funktion" verwenden.
} else {
  // Irgent etwas anderes ausfuehren (schlechteres Ergebnis/Ausgabe)
}

Da nun aller Code GNU GPL ist, kann auf die if()-Abfrage verzichtet werden und der else-Block entfernt werden.

Additional InformationDas mit "CREATE_FANCY_TIMESTAMP" ist nur ein Beispiel!
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000162

Quix0r (administrator)

Ist mit Revision 718 gefixt.

~0000661

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-08 00:39 Quix0r New Issue
2009-02-08 14:32 Quix0r Status new => assigned
2009-02-08 14:32 Quix0r Assigned To => Quix0r
2009-02-08 15:24 Quix0r Note Added: 0000162
2009-02-08 15:24 Quix0r Status assigned => resolved
2009-02-08 15:24 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-08 15:24 Quix0r Resolution open => fixed
2009-02-08 15:25 Quix0r Projection none => minor fix
2009-02-08 15:25 Quix0r ETA none => < 1 day
2009-02-08 15:25 Quix0r Description Updated
2011-08-07 11:07 Quix0r Description Updated View Revisions
2016-11-23 10:07 Quix0r Status resolved => closed
2016-11-23 10:07 Quix0r Note Added: 0000661
+Issue History